use crate::models::parameters::GeoffreyParam;
use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct DeleteParams {
    pub location: String,
}

impl DeleteParams {
    pub fn new(location: String) -> Self {
        Self { location }
    }
}

impl GeoffreyParam for DeleteParams {}
