use crate::models::parameters::GeoffreyParam;
use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct FindParams {
    pub query: String,
}

impl FindParams {
    pub fn new(query: String) -> Self {
        Self { query }
    }
}

impl GeoffreyParam for FindParams {}
